#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drmm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_detect_from_ddc, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0x9e538806, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0xd916fc48, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0xe05a33c6, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x0301cfd5, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x6a98a040, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x31b96a2b, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0xefad23e3, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x8a9f2d19, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0x80de5492, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x7c508467, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x875e74b8, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x107122a9, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0xd58213e2, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0xf5f8c19f, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x6c5c9cff, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0xe8662ee9, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0x5b228d90, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0xaf551503, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x825c9041, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0x143ea7c6, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0xdbe7144d, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x0b7cb299, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x200cc486, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x728423e9, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0x02874ced, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x41e5b294, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0xc185783b, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x029991d9, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0xf0653c97, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0x3db80940, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0xa2bdd541, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x35c5ae08, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0x71915f7c, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0xc9cfa6d4, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x0e39a9d7, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0xfb1cc569, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0xbc661b1e, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0xbae63f75, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0xabc87819, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0x849516d2, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x076845f3, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0xe8cc6294, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x9b70b75a, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0xcee4d061, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x2694c975, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x72b4cb21, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x603c7874, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0x46af7cd3, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x612b5900, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x3dbf1eed, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0x2c6d09b0, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0xb1938608, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0x8f8f7806, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0xb2f45b68, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0x0f25bf08, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0x51eb58d6, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0xe9a59768, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0xb2791ec9, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x97cf9076, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x2ded02c3, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x419faa8e, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0xae202c9e, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0x5b4d15a8, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0x8decc00f, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0xcee31976, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x5fda4612, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x267dc4df, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0x5a0ff493, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0xdfcc61fc, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0xc0327a9c, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0xfedc1d7c, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0x21224235, "");
SYMBOL_CRC(drm_helper_encoder_in_use, 0xcebb8184, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0xe92d71cc, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0xe9470c03, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0x1617a8de, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0xdacd4752, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0xd8093c41, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0xe5f740d8, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x4450b307, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x3eff11bd, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0xbe2beb02, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x6e7aa3da, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x31de420c, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x96bee13c, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0xdfa49caa, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x8b539b8a, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0xf5059f28, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0xb8d3097c, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0x4bafa6e6, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0x6f395b27, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0x274c55f1, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x9f11630d, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0xf02836ae, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x02ad1135, "");
SYMBOL_CRC(drm_flip_work_queue, 0x7964f9dc, "");
SYMBOL_CRC(drm_flip_work_commit, 0xc460392a, "");
SYMBOL_CRC(drm_flip_work_init, 0x93cec5c7, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0x5aa2b037, "");
SYMBOL_CRC(drm_format_conv_state_init, 0x29c6141b, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xface4acd, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0xd09bd550, "");
SYMBOL_CRC(drm_format_conv_state_release, 0xd68515a0, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x53d27455, "");
SYMBOL_CRC(drm_fb_swab, 0x02589899, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x0659854b, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x7b73b5c4, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0xa7ced570, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0xa067e5b0, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0xf63d2395, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x15ecfa6e, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0xf5e0e247, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0x5dd8865f, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0xbc3b3da7, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x02547f2b, "");
SYMBOL_CRC(drm_fb_blit, 0x70fdc3ee, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x30c2d665, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0xfd05889c, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0x72de2ed3, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x3d7a4c3b, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0xb66ddcfc, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x7697bd26, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0x4be714e8, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x440285da, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0x57f5ec40, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0x2ccb8bc8, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x6005b442, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0xa91cd8cc, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0xd41a2ab5, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0x729f7b4b, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0xd4f8deb2, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0xdcd416e5, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x198bbaf0, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0xcf866be6, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x9e156e7b, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x834fc084, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x54ac8964, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0xfbee4b2b, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0xb1090118, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x906e28b7, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x0f6466a4, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x2949a702, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0xfa03d3f2, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x442aa049, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0xa41744c1, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0x3b3f92ef, "");
SYMBOL_CRC(drm_crtc_init, 0xe439d858, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x8a8d43ea, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x51418a47, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x13335757, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x0486b401, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0xeb98d873, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0x166f8906, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x739d962b, "");
SYMBOL_CRC(drm_helper_probe_detect, 0xd70515a2, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x8ff0d3c0, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0x7f334015, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0xacef0295, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x5c3755fc, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x7cd12e84, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x657a8a1a, "");
SYMBOL_CRC(drmm_kms_helper_poll_init, 0x06f30deb, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0xc53d726d, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x11b52037, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x5efc55f2, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0xf5a90ddd, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0xb923a03a, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x2221525c, "");
SYMBOL_CRC(drm_connector_helper_detect_from_ddc, 0xb2c64caf, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0xbeda83c4, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x92e54dab, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x5d519daf, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0xa4764f0a, "");
SYMBOL_CRC(drm_simple_encoder_init, 0x8063fb40, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x54456bf8, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0x90ef7a80, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x27262531, "");
SYMBOL_CRC(drm_bridge_is_panel, 0x30c679df, "");
SYMBOL_CRC(drm_panel_bridge_add, 0xc7077fa6, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0xa5fd1ffe, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0xa8840a4f, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0x0d9125e1, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x2c005759, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0xa27121f7, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x23f46ce2, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0xf6a62b81, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0x1cdba21e, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0xf4b0dc42, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0x6eb739fc, "");
SYMBOL_CRC(drm_fb_helper_blank, 0x0d05ce7b, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0x05f7e2f8, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x1cd9a907, "");
SYMBOL_CRC(drm_fb_helper_init, 0x26afa8ee, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0xebe42c03, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0xf387b8b2, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0xd9622bbb, "");
SYMBOL_CRC(drm_fb_helper_fini, 0x2d538101, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0xbf052bcf, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x7b99244f, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0x3ac25292, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0xdd262b2c, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x7396d1b4, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0x948ea8bb, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0xf1050d7e, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0xaf22f02f, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0xe566ca56, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x5e8ab58a, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0x643880c9, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0x7f1a94fa, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0x2523b815, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0xa2a83f01, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5ebb4996, "unregister_framebuffer" },
	{ 0xc01f83de, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x5c56564, "drm_framebuffer_cleanup" },
	{ 0xb344f2e0, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xcba29cc7, "drm_panel_get_modes" },
	{ 0x6e5bca1f, "drm_gem_vmap_unlocked" },
	{ 0x73b4cae5, "try_module_get" },
	{ 0xfd794e1b, "drm_connector_list_update" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6fd19f01, "drm_bridge_add" },
	{ 0x208efdb0, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x75c174a8, "unregister_sysrq_key" },
	{ 0xbc3ee292, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0xd3ec6ac7, "devm_kmalloc" },
	{ 0xff7d6ae9, "drm_client_rotation" },
	{ 0x647a730c, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xdb8123e2, "drm_framebuffer_init" },
	{ 0xc532a1aa, "drm_mode_validate_driver" },
	{ 0xccc23cf3, "drm_atomic_add_affected_planes" },
	{ 0xc73575bc, "dma_buf_end_cpu_access" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x2281b110, "drm_modeset_unlock_all" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8a13ab07, "drm_mode_probed_add" },
	{ 0x2909c990, "drm_atomic_add_affected_connectors" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x432eab85, "drm_gem_vunmap_unlocked" },
	{ 0x496c9174, "drm_crtc_vblank_count" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xc294b792, "drm_modeset_lock_all" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0xcaf79a1c, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x7905a796, "drm_mode_object_get" },
	{ 0xa6bd43bb, "drm_edid_override_connector_update" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0xb687e6f5, "drm_driver_legacy_fb_format" },
	{ 0x7407e91b, "drm_crtc_cleanup" },
	{ 0x7f606f84, "drm_connector_list_iter_begin" },
	{ 0x394afaf9, "drm_mode_set_config_internal" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xf6411344, "framebuffer_alloc" },
	{ 0xdc0eff44, "drm_encoder_cleanup" },
	{ 0x98a8084f, "drm_modeset_acquire_init" },
	{ 0x554b16f9, "dma_fence_set_deadline" },
	{ 0x8329eceb, "drm_client_modeset_probe" },
	{ 0x44cd1c44, "drm_warn_on_modeset_not_all_locked" },
	{ 0x51593aef, "drm_plane_get_damage_clips" },
	{ 0xce7198b4, "devres_add" },
	{ 0xff95e0c7, "dma_fence_wait_timeout" },
	{ 0x78ff9aa8, "drm_add_modes_noedid" },
	{ 0xd36607a8, "drm_bridge_remove" },
	{ 0x95113999, "drm_mode_object_put" },
	{ 0xace73c29, "dev_driver_string" },
	{ 0x96cb248c, "drm_crtc_vblank_get" },
	{ 0xea729e88, "drm_gem_object_lookup" },
	{ 0x8769f967, "drm_crtc_send_vblank_event" },
	{ 0x618cbb19, "drm_connector_attach_encoder" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x58926996, "drm_atomic_normalize_zpos" },
	{ 0x3a961da2, "drm_edid_connector_update" },
	{ 0xaa48a273, "drm_sysfs_hotplug_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x285b1ff4, "__drmm_add_action_or_reset" },
	{ 0x559510fb, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0x90c5526c, "drm_connector_list_iter_end" },
	{ 0xfea658b4, "drm_atomic_set_crtc_for_plane" },
	{ 0x1a69216d, "drm_client_modeset_dpms" },
	{ 0x1d2cae31, "drm_mode_prune_invalid" },
	{ 0x432a84f6, "drm_client_dev_hotplug" },
	{ 0xa583e188, "_dev_info" },
	{ 0xdd2461d2, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xdab0b74a, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x69d87b21, "module_put" },
	{ 0x16772896, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0x1ad7caf7, "drm_atomic_get_crtc_state" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xf23d9db2, "drm_client_init" },
	{ 0x2f2ace4b, "drm_crtc_wait_one_vblank" },
	{ 0xd8ad5dd0, "drm_crtc_next_vblank_start" },
	{ 0xb8468d6a, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0xc5241ffd, "drm_modeset_lock" },
	{ 0x98188011, "drm_client_modeset_commit_locked" },
	{ 0x3f2e798e, "drm_modeset_unlock" },
	{ 0xa6fd05ce, "drm_panel_disable" },
	{ 0xb87f522d, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x476a5b12, "drm_connector_init" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xbe4e2115, "devm_kfree" },
	{ 0x5f22f7e, "_dev_err" },
	{ 0xb3f70bae, "drm_writeback_cleanup_job" },
	{ 0x2eb63b26, "drm_modeset_lock_all_ctx" },
	{ 0x5792e1fc, "i2c_unregister_device" },
	{ 0x758f70f4, "drm_atomic_set_fb_for_plane" },
	{ 0xb2d159c0, "__drm_universal_plane_alloc" },
	{ 0xd69603, "drm_edid_connector_add_modes" },
	{ 0x14904359, "drm_probe_ddc" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x33ab75a7, "__devres_alloc_node" },
	{ 0x1f21c793, "drm_edid_read" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xc9e1358, "drm_crtc_commit_wait" },
	{ 0x71e10391, "drm_dev_has_vblank" },
	{ 0x6afb36ae, "register_framebuffer" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0x2c58307, "__drm_atomic_helper_disable_plane" },
	{ 0x132d3a3e, "drm_connector_set_orientation_from_panel" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xee6e1b37, "drm_gem_handle_create" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x12c5ea9a, "drm_atomic_set_crtc_for_connector" },
	{ 0x16553956, "drm_analog_tv_mode" },
	{ 0x7d597a0, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0xe0aa433d, "drm_mode_duplicate" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x9376b8c8, "drm_crtc_vblank_put" },
	{ 0x8648acad, "i2c_new_client_device" },
	{ 0xb93a6a2e, "zpci_write_block" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x5911d9cf, "__drm_dev_dbg" },
	{ 0x9574fbc6, "drm_plane_get_damage_clips_count" },
	{ 0x643e805e, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x650f00d6, "drm_atomic_state_alloc" },
	{ 0xcf804b71, "drm_client_modeset_commit" },
	{ 0x91b57903, "_dev_warn" },
	{ 0x47a6fe15, "drm_atomic_bridge_chain_post_disable" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x7974cdf, "drm_connector_update_edid_property" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0xd596d2a5, "fb_set_suspend" },
	{ 0x6108288f, "complete_all" },
	{ 0xca4d2bcc, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0xbb780113, "drm_client_release" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x8a3da2de, "__drm_atomic_helper_set_config" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x8fa61a4, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x87a68ac6, "drm_connector_cleanup" },
	{ 0x8bcebc09, "drm_get_format_info" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x922226f3, "drm_universal_plane_init" },
	{ 0x2a0e2b32, "drm_any_plane_has_format" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xb8e7167e, "drm_connector_list_iter_next" },
	{ 0x4b7d4413, "drm_modeset_acquire_fini" },
	{ 0x98f6f175, "drm_encoder_init" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0xed4c940b, "drm_object_property_get_default_value" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xae2b4430, "param_ops_bool" },
	{ 0x8d6d5780, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x9f17a6e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xca4d53c0, "drm_modeset_backoff" },
	{ 0x969ad6c0, "drm_panel_prepare" },
	{ 0x4d464d85, "drm_bridge_chain_mode_set" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x20f3662f, "drm_atomic_get_plane_state" },
	{ 0xa7963a21, "drm_atomic_bridge_chain_check" },
	{ 0x98dda23c, "dma_fence_chain_init" },
	{ 0xe7b9867a, "register_sysrq_key" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbf2eee88, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xb2d74ce4, "drm_property_blob_put" },
	{ 0xdd399925, "drm_mode_destroy" },
	{ 0x6360aecf, "drm_bridge_attach" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x9cc93f08, "drm_set_preferred_mode" },
	{ 0x85fb7f65, "drm_atomic_bridge_chain_pre_enable" },
	{ 0x4d9b5aad, "drm_atomic_state_clear" },
	{ 0xc741c0fa, "drm_mode_config_reset" },
	{ 0x75260684, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x5cbc4172, "drm_modeset_drop_locks" },
	{ 0xda060c78, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xe470e274, "drm_atomic_bridge_chain_disable" },
	{ 0x1aeed80, "drm_mode_create_from_cmdline_mode" },
	{ 0x114d485b, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0xf5db21f9, "param_ops_int" },
	{ 0xc3aebdb, "drm_atomic_nonblocking_commit" },
	{ 0x22b60972, "debugfs_create_dir" },
	{ 0xb1176e59, "try_wait_for_completion" },
	{ 0x96b7e143, "drm_master_internal_release" },
	{ 0x4604728, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x10c9e553, "drm_panel_unprepare" },
	{ 0x32832178, "kmalloc_caches" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0xa01c810b, "drm_atomic_add_encoder_bridges" },
	{ 0xe47054ce, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x61a80288, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x97debbf6, "module_layout" },
};

MODULE_INFO(depends, "fb,drm,i2c-core");


MODULE_INFO(srcversion, "9FB2FECF4B5C2F6FD0E220E");
MODULE_INFO(rhelversion, "10.1");
