#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dm_register_path_selector, "_gpl", "");
KSYMTAB_FUNC(dm_unregister_path_selector, "_gpl", "");

SYMBOL_CRC(dm_register_path_selector, 0x560b29b1, "_gpl");
SYMBOL_CRC(dm_unregister_path_selector, 0xf2c13b57, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa6a047cf, "bio_associate_blkg" },
	{ 0x73b4cae5, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x835e2839, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2ad491f2, "param_ops_ulong" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe03406fd, "dm_table_run_md_queue_async" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x465e8b52, "dm_noflush_suspending" },
	{ 0x23418c7d, "dm_devt_from_path" },
	{ 0x1d78a56, "dm_per_bio_data" },
	{ 0x1422657a, "dm_put_device" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x37a0cba, "kfree" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x152c5dab, "dm_mq_kick_requeue_list" },
	{ 0x47734fc, "blk_mq_free_request" },
	{ 0xc8269e9d, "blk_finish_plug" },
	{ 0x69d87b21, "module_put" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xd1950a2f, "bio_endio" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x269c8bce, "dm_suspended" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7c856a00, "submit_bio_noacct" },
	{ 0x56bcf7b, "dm_read_arg" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x147c167c, "blk_mq_alloc_request" },
	{ 0xd5010e3e, "scsi_dh_attach" },
	{ 0xc50d2ee6, "dm_unregister_target" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x4b365f8e, "scsi_dh_activate" },
	{ 0xd5aeb3d1, "blk_lld_busy" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x28bb1d5, "dm_table_event" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x103bafd6, "down_read" },
	{ 0xd15e72c7, "scsi_dh_attached_handler_name" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb781e096, "dm_table_device_name" },
	{ 0x649a6c05, "dm_register_target" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9f17a6e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf099fe85, "dm_start_time_ns_from_clone" },
	{ 0x1866eaa4, "dm_table_get_mode" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xdfe501f0, "dm_table_get_md" },
	{ 0x19a34551, "dm_path_uevent" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x827bbf0a, "dm_get_device" },
	{ 0x1839ac72, "dm_table_set_type" },
	{ 0x555ccb97, "up_read" },
	{ 0x669c191b, "dm_consume_args" },
	{ 0x32832178, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xdb7450a8, "scsi_dh_set_params" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x97debbf6, "module_layout" },
};

MODULE_INFO(depends, "dm-mod");


MODULE_INFO(srcversion, "5C19238D0A58FC4840073CB");
MODULE_INFO(rhelversion, "10.1");
