#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(__tracepoint_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_lookup_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_ipaddress_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_router_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_flashnode_bus_match, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_all_flashnode, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_chkready, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_online, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_dev, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_for_each_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_scsi_eh, "_gpl", "");
KSYMTAB_FUNC(iscsi_unblock_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_force_destroy_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_free_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_recv_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_offload_mesg, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_error_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_login_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_post_host_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_ping_comp_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_discovery_parent_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_speed_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_register_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_dbg_trace, "_gpl", "");

SYMBOL_CRC(__tracepoint_iscsi_dbg_conn, 0x363ef721, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_conn, 0x7709ae39, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_conn, 0x71b768b0, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_eh, 0xda09b986, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_eh, 0x20665f7e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_eh, 0xe4c79fa6, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_session, 0xc6264e7a, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_session, 0xfc8c2889, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_session, 0x584a31ab, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_tcp, 0xb32662a6, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_tcp, 0xfcc73c46, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_tcp, 0x88768c48, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_sw_tcp, 0xa3ac06cf, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_sw_tcp, 0x4ba4a970, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_sw_tcp, 0xab4674c8, "_gpl");
SYMBOL_CRC(iscsi_create_endpoint, 0xe0a52fdf, "_gpl");
SYMBOL_CRC(iscsi_destroy_endpoint, 0x85443486, "_gpl");
SYMBOL_CRC(iscsi_put_endpoint, 0x00d4fa3b, "_gpl");
SYMBOL_CRC(iscsi_lookup_endpoint, 0x60bdde91, "_gpl");
SYMBOL_CRC(iscsi_get_ipaddress_state_name, 0xbc071179, "_gpl");
SYMBOL_CRC(iscsi_get_router_state_name, 0x84a005f1, "_gpl");
SYMBOL_CRC(iscsi_create_iface, 0x34ae22ec, "_gpl");
SYMBOL_CRC(iscsi_destroy_iface, 0x4a326af5, "_gpl");
SYMBOL_CRC(iscsi_flashnode_bus_match, 0xd3ab38f6, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_sess, 0xa27a9991, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_conn, 0x5f0a9de5, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_sess, 0x67e384ab, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_conn, 0x67a428e5, "_gpl");
SYMBOL_CRC(iscsi_destroy_flashnode_sess, 0xc52b0f3e, "_gpl");
SYMBOL_CRC(iscsi_destroy_all_flashnode, 0xf3508252, "_gpl");
SYMBOL_CRC(iscsi_session_chkready, 0x2d046714, "_gpl");
SYMBOL_CRC(iscsi_is_session_online, 0x40637658, "_gpl");
SYMBOL_CRC(iscsi_is_session_dev, 0x5c114c40, "_gpl");
SYMBOL_CRC(iscsi_host_for_each_session, 0xef1fde9e, "_gpl");
SYMBOL_CRC(iscsi_block_scsi_eh, 0xcf4f892d, "_gpl");
SYMBOL_CRC(iscsi_unblock_session, 0xda164d61, "_gpl");
SYMBOL_CRC(iscsi_block_session, 0x7cb4b2d3, "_gpl");
SYMBOL_CRC(iscsi_alloc_session, 0x0b0a387e, "_gpl");
SYMBOL_CRC(iscsi_add_session, 0x61b79372, "_gpl");
SYMBOL_CRC(iscsi_remove_session, 0xc84287d5, "_gpl");
SYMBOL_CRC(iscsi_force_destroy_session, 0x97d9a715, "_gpl");
SYMBOL_CRC(iscsi_free_session, 0x76c7e5a2, "_gpl");
SYMBOL_CRC(iscsi_alloc_conn, 0x75fc67d5, "_gpl");
SYMBOL_CRC(iscsi_add_conn, 0x85792e14, "_gpl");
SYMBOL_CRC(iscsi_remove_conn, 0x48ccd435, "_gpl");
SYMBOL_CRC(iscsi_put_conn, 0x8c31847d, "_gpl");
SYMBOL_CRC(iscsi_get_conn, 0x8e23da77, "_gpl");
SYMBOL_CRC(iscsi_recv_pdu, 0x76cebdcb, "_gpl");
SYMBOL_CRC(iscsi_offload_mesg, 0x46265d2f, "_gpl");
SYMBOL_CRC(iscsi_conn_error_event, 0xb03f943d, "_gpl");
SYMBOL_CRC(iscsi_conn_login_event, 0x589f6d86, "_gpl");
SYMBOL_CRC(iscsi_post_host_event, 0x3e698c33, "_gpl");
SYMBOL_CRC(iscsi_ping_comp_event, 0x9356ceb6, "_gpl");
SYMBOL_CRC(iscsi_session_event, 0x12d92a4f, "_gpl");
SYMBOL_CRC(iscsi_get_discovery_parent_name, 0x699fe53e, "_gpl");
SYMBOL_CRC(iscsi_get_port_speed_name, 0xe894c32a, "_gpl");
SYMBOL_CRC(iscsi_get_port_state_name, 0xae206e04, "_gpl");
SYMBOL_CRC(iscsi_register_transport, 0xe9e1bfd1, "_gpl");
SYMBOL_CRC(iscsi_unregister_transport, 0xac16b4f8, "_gpl");
SYMBOL_CRC(iscsi_dbg_trace, 0x4dd91993, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9adc9c67, "vsnprintf" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x236c8c64, "memcpy" },
	{ 0x9425abc4, "perf_trace_run_bpf_submit" },
	{ 0xe605b6f9, "trace_event_buffer_reserve" },
	{ 0x902e595e, "trace_event_buffer_commit" },
	{ 0xcb2351e6, "__trace_trigger_soft_disabled" },
	{ 0x546b22a6, "trace_raw_output_prep" },
	{ 0xd5bb0d2f, "trace_event_printf" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xf804851b, "bpf_trace_run2" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x45403dd1, "put_device" },
	{ 0xf5741762, "device_unregister" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xccf9442c, "sysfs_remove_group" },
	{ 0x3761d215, "idr_find" },
	{ 0xee3cc149, "get_device" },
	{ 0x532cde2, "device_find_child" },
	{ 0xb14850f7, "device_for_each_child" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc6cbbc89, "capable" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xb2d6d00b, "_dev_printk" },
	{ 0x529fc412, "scsi_target_unblock" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xf7370f56, "system_state" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf2c6dbdc, "netlink_kernel_release" },
	{ 0x292491b2, "bus_unregister" },
	{ 0x88ca7993, "transport_class_unregister" },
	{ 0x197d1e47, "class_unregister" },
	{ 0x8ff16db3, "class_register" },
	{ 0x1fed7633, "transport_class_register" },
	{ 0x7decdb79, "bus_register" },
	{ 0xe6b59a20, "init_net" },
	{ 0x2d1c4ced, "__netlink_kernel_create" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56965f41, "scsi_host_get" },
	{ 0x21a7e955, "device_initialize" },
	{ 0x98de1c15, "snprintf" },
	{ 0x62c96427, "scsi_init_limits" },
	{ 0x7ba71c0, "bsg_setup_queue" },
	{ 0xf8f8e803, "netlink_broadcast_filtered" },
	{ 0xb85db641, "__alloc_skb" },
	{ 0x6e0641e0, "__nlmsg_put" },
	{ 0x45a2a267, "scsi_is_host_device" },
	{ 0x3518df52, "bsg_remove_queue" },
	{ 0x7072d122, "scsi_host_put" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x2c501102, "bsg_job_done" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xe526ed7a, "dev_set_name" },
	{ 0xc77a6b3e, "device_register" },
	{ 0x935a1d15, "sysfs_create_group" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x32832178, "kmalloc_caches" },
	{ 0x9f17a6e9, "__kmalloc_cache_noprof" },
	{ 0x42616b70, "attribute_container_register" },
	{ 0x2c5c05eb, "sk_skb_reason_drop" },
	{ 0x6d439608, "scsi_host_lookup" },
	{ 0x1c98e351, "skb_trim" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7b854459, "transport_remove_device" },
	{ 0x6aab0d08, "transport_destroy_device" },
	{ 0xe84150df, "device_del" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x7f782312, "device_add" },
	{ 0xb5c7bdf5, "transport_setup_device" },
	{ 0x5e961da, "transport_add_device" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9247075f, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x99ed68c2, "attribute_container_unregister" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x9813d612, "scsi_remove_target" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x8759bce8, "scsi_scan_target" },
	{ 0xf684826, "netlink_capable" },
	{ 0x73b4cae5, "try_module_get" },
	{ 0x69d87b21, "module_put" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x5610618b, "skb_pull" },
	{ 0x4cc6311f, "netlink_unicast" },
	{ 0xdc22e6c9, "trace_event_reg" },
	{ 0x3cf559c5, "trace_event_raw_init" },
	{ 0xf5db21f9, "param_ops_int" },
	{ 0x97debbf6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3369EDEA938BAAA0F7D2241");
MODULE_INFO(rhelversion, "10.1");
