#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0xbbf02f74, "");
SYMBOL_CRC(jbd2_journal_start, 0x46de24cc, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0x2e36a532, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0x62690e4e, "");
SYMBOL_CRC(jbd2__journal_restart, 0x0378ab1f, "");
SYMBOL_CRC(jbd2_journal_restart, 0x767054f8, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0x07c7eefb, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x9d7f800f, "");
SYMBOL_CRC(jbd2_journal_extend, 0x503a0908, "");
SYMBOL_CRC(jbd2_journal_stop, 0x66d43686, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0xb839d625, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0x59d36cde, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0xcf3539ec, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0x1e63eee4, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0xaffb72ee, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0x7d1b8623, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0x6afe5afb, "");
SYMBOL_CRC(jbd2_journal_forget, 0x6e2d9abe, "");
SYMBOL_CRC(jbd2_journal_flush, 0x26ef995c, "");
SYMBOL_CRC(jbd2_journal_revoke, 0x60031a33, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0x1729f40c, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0xa1777574, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x8e4ffd8c, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0x67af6085, "");
SYMBOL_CRC(jbd2_journal_set_features, 0x93293002, "");
SYMBOL_CRC(jbd2_journal_load, 0x25279b63, "");
SYMBOL_CRC(jbd2_journal_destroy, 0xe5ab4d77, "");
SYMBOL_CRC(jbd2_journal_abort, 0x2b16db4b, "");
SYMBOL_CRC(jbd2_journal_errno, 0xde9f5a09, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0x923b0283, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0xc0830ab7, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x36028162, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0xfc2472fd, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0x37bdd564, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x5fab8798, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0x9f834480, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0x9505023c, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0xc339e121, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x02722868, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0x205b5424, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x485ae808, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0x3876a16a, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0xee301ca5, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0x9e6c00f4, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0xa603e6c0, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0x6cd57914, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0xe7b4c35c, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0xc60bcbbd, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0xec5bfc00, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x920181bd, "");
SYMBOL_CRC(jbd2_complete_transaction, 0x7bef0b4c, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0xdd028e49, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0xb1d843cf, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0xd704797a, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0xd8370647, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0xda8e19e6, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0xc899e44a, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0xb0e188f5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x7ed2b53a, "bh_uptodate_or_lock" },
	{ 0x74f7c601, "shrinker_alloc" },
	{ 0xa3a10db0, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x835e2839, "blk_start_plug" },
	{ 0x3a5b13a7, "bpf_trace_run4" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x58a6d3d1, "folio_unlock" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xa7adb690, "seq_release" },
	{ 0x98de1c15, "snprintf" },
	{ 0x546b22a6, "trace_raw_output_prep" },
	{ 0x5313bf2a, "bpf_trace_run6" },
	{ 0x68dd04b4, "mark_buffer_dirty" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x617a011, "__find_get_block" },
	{ 0xcb2351e6, "__trace_trigger_soft_disabled" },
	{ 0x7a5fa6dc, "filemap_fdatawrite_range" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xd5bb0d2f, "trace_event_printf" },
	{ 0x11167c6e, "__bforget" },
	{ 0x92704321, "write_dirty_buffer" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x69097457, "crc32_be" },
	{ 0x3cf559c5, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x70ae73d7, "iput" },
	{ 0x40b35e68, "seq_lseek" },
	{ 0x9caadc57, "blockdev_superblock" },
	{ 0x299ae54d, "proc_create_data" },
	{ 0xf804851b, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xfa920a4b, "bpf_trace_run8" },
	{ 0xce8c46b4, "submit_bh" },
	{ 0x7886185e, "alloc_buffer_head" },
	{ 0x68bedcf5, "wake_up_process" },
	{ 0x2bb615d2, "shrinker_free" },
	{ 0x902e595e, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xf554a392, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x5dd76e44, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xef1b064a, "try_to_free_buffers" },
	{ 0xf7fc4741, "sync_blockdev" },
	{ 0x27cb8539, "free_buffer_head" },
	{ 0xffc812a2, "shrinker_register" },
	{ 0xc8269e9d, "blk_finish_plug" },
	{ 0x8bb7f593, "bdev_getblk" },
	{ 0x13d929a0, "__cond_resched_lock" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x380ec283, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc339f906, "__brelse" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x9425abc4, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0xefbb45eb, "__bh_read_batch" },
	{ 0x867694d1, "bpf_trace_run5" },
	{ 0xb0e199d, "__wait_on_buffer" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x2a6899ef, "kmem_cache_free" },
	{ 0xd8980363, "__bh_read" },
	{ 0xdc22e6c9, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xaccbec62, "blkdev_issue_zeroout" },
	{ 0x2a2ae131, "filemap_fdatawait_range_keep_errors" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xacd16527, "crypto_shash_update" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x61093436, "freezing_slow_path" },
	{ 0x671dc598, "bpf_trace_run1" },
	{ 0xa2d0c01d, "proc_mkdir" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x653b9cfb, "kmem_cache_alloc_noprof" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x95b033d6, "__kmem_cache_create_args" },
	{ 0xe798236d, "jiffies" },
	{ 0xfd5211c8, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x5d1c41ca, "bpf_trace_run3" },
	{ 0x1cd07ed5, "seq_read" },
	{ 0xba703a4f, "unlock_buffer" },
	{ 0xe605b6f9, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x6673f4aa, "__folio_put" },
	{ 0x9678ad3f, "remove_proc_entry" },
	{ 0x9f17a6e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x94f6152c, "seq_printf" },
	{ 0x5e5e4b6c, "__lock_buffer" },
	{ 0xe9598b4c, "truncate_inode_pages_range" },
	{ 0x418581ea, "blkdev_issue_flush" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x4081bc23, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xed82b58d, "end_buffer_write_sync" },
	{ 0xb543929, "seq_open" },
	{ 0x443de27d, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0xb8cfc2d9, "crypto_alloc_shash" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x32832178, "kmalloc_caches" },
	{ 0x4e717357, "kmem_cache_destroy" },
	{ 0xea89d58e, "blkdev_issue_discard" },
	{ 0x97debbf6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6C4803DB6A176AEA644BFA2");
MODULE_INFO(rhelversion, "10.1");
