#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0xbb357927, "");
SYMBOL_CRC(is_hsr_master, 0x347fdf28, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x63dac6b6, "dev_set_mtu" },
	{ 0xcb35ffb8, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xb2eb3439, "eth_header" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd4347709, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4a576284, "netdev_update_features" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xad42d9d7, "rtnl_link_register" },
	{ 0xa8340b43, "genlmsg_put" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0xab231d8a, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0x695e6fd, "dev_set_promiscuity" },
	{ 0x40b35e68, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x2cff8690, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7f964121, "unregister_netdevice_queue" },
	{ 0x9d016a77, "netlink_ack" },
	{ 0x210f8a4, "__pskb_copy_fclone" },
	{ 0x9406b2c6, "dev_uc_unsync" },
	{ 0x402929f, "ether_setup" },
	{ 0xf8f8e803, "netlink_broadcast_filtered" },
	{ 0x60b86fec, "netdev_err" },
	{ 0xc40e3e6, "netdev_upper_dev_link" },
	{ 0xe2603aaa, "dev_addr_mod" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6546f682, "netdev_rx_handler_unregister" },
	{ 0xea92ee77, "eth_header_parse" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb85db641, "__alloc_skb" },
	{ 0x49b497b6, "skb_copy_expand" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x44490865, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xd4f75999, "rtnl_link_unregister" },
	{ 0xe6b59a20, "init_net" },
	{ 0x5610618b, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x60394d10, "mark_tech_preview" },
	{ 0x2c5c05eb, "sk_skb_reason_drop" },
	{ 0x4cc6311f, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x10a59533, "dev_get_by_index_rcu" },
	{ 0xd7ef4bf6, "netdev_printk" },
	{ 0x8856e04a, "skb_push" },
	{ 0x6bc04bf9, "debugfs_remove" },
	{ 0xc6046817, "netdev_upper_dev_unlink" },
	{ 0xff182e8, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x688897b9, "netdev_set_operstate" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x588ed3dd, "__pskb_pull_tail" },
	{ 0x3b36c767, "netif_rx" },
	{ 0x98bae3fb, "__netdev_alloc_skb" },
	{ 0x1c98e351, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x1cd07ed5, "seq_read" },
	{ 0xf946b7b2, "debugfs_rename" },
	{ 0x7c7b9752, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe2a67ab, "call_netdevice_notifiers" },
	{ 0xe0e609d4, "dev_set_allmulti" },
	{ 0x258c8901, "seq_write" },
	{ 0x9f17a6e9, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x452e333d, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x94f6152c, "seq_printf" },
	{ 0xebc886f6, "skb_clone" },
	{ 0x50059f0d, "netif_carrier_on" },
	{ 0x390333a0, "debugfs_create_file_full" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x5b5b62e2, "netdev_rx_handler_register" },
	{ 0x7a9314ca, "single_release" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xc583bb3c, "genl_unregister_family" },
	{ 0x89061fa8, "dev_disable_lro" },
	{ 0x2469710a, "dev_kfree_skb_any_reason" },
	{ 0xe8c66d83, "single_open" },
	{ 0x22b60972, "debugfs_create_dir" },
	{ 0x1befcd67, "dev_mc_unsync" },
	{ 0x321d08ac, "genl_register_family" },
	{ 0x9fd5cc15, "netdev_core_stats_inc" },
	{ 0x32832178, "kmalloc_caches" },
	{ 0x3dd90187, "netdev_info" },
	{ 0x20757987, "dev_mc_sync_multiple" },
	{ 0x558e41bd, "register_netdevice" },
	{ 0x97debbf6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6F1DDADF9A7734F0922575E");
MODULE_INFO(rhelversion, "10.1");
