#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0xf24e79d8, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0xd9cc99d7, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xceaaac37, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0xa956e736, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0x0460ec0f, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x364e393c, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x0886a724, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0x33180544, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0xd5c5ea90, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0xd3d4b3c1, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0xe5e8220a, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x51071bdf, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0xe2a6b441, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x0b61d956, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x0b78cf63, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0xdd26433e, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x32d8d52f, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x669d7145, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x69100b3a, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0xc778383f, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0xeb0ab313, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0x752f0aa2, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0x1e2f4197, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x923c0c9f, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x7339f47d, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0xc4f8b2a8, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x43738139, "_gpl");
SYMBOL_CRC(print_tuple, 0x1c736b4f, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0xd2a9f5c4, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0xff6d2a08, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0xa9c1638d, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x39a1d5d3, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x0c416d54, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x811430f0, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x1d1e704f, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0x06521a64, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x450a7da4, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0xa5a98d5a, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0xa6d42256, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x74006fee, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x1e27ece7, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0xd2dd22b2, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x740c9268, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x129437b2, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0xb8fb3c77, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x3e5fc1b5, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x0c83567c, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x4662fd65, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x541ec659, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x3cabc05f, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0xb6bfc60d, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x06e19af4, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0xb9c7b48a, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x274b6c79, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x0fa7410f, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x4873dbb6, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x00ef5387, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0xecf8ca08, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0xea36e621, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x19f6eca1, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0xa25f2521, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x2e9c5095, "_gpl");
SYMBOL_CRC(nf_confirm, 0x2ddfa7e0, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x5e050cc2, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0xd5e49789, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0x2c4a96ea, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x92be5868, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0xaf25d20a, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x701c9d4a, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x729ae679, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x7d4b0dad, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x73ccf18e, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x937356c2, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0xe7e9cccd, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0xf8040d20, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x19737d4a, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x7558cfdc, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x0eaac05f, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x1838204b, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x8b17fbad, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x1d29b759, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x98d30629, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0xccc2330a, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x2a6cfbaa, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x339b2fa8, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0xd5b0227e, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0x392ff4be, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0x0a0e7319, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0xea74b27e, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x2b5541cc, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0x2f251145, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0xb6f35607, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbd4357ec, "__do_once_done" },
	{ 0x73b4cae5, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x192f4f08, "nf_defrag_ipv4_disable" },
	{ 0x97a95064, "nf_ip6_checksum" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x9136ef80, "proc_dou8vec_minmax" },
	{ 0xeb25f5d3, "skb_copy_bits" },
	{ 0xda59a210, "param_ops_uint" },
	{ 0xb77e5d1d, "proc_dointvec_jiffies" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0x7b4c3a4a, "nf_register_sockopt" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xc612afd5, "nfct_btf_struct_access" },
	{ 0xa06bd810, "param_set_uint" },
	{ 0xf7cecc27, "nf_defrag_ipv4_enable" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x3e1abdd0, "nf_ct_frag6_gather" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f14c8fa, "get_net_ns_by_id" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x81c6888f, "nf_ct_hook" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xc78cf2a7, "proc_create_net_data" },
	{ 0x751d2e97, "bpf_log" },
	{ 0x8dc4a472, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xcddaac25, "register_net_sysctl_sz" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf7eff894, "nf_unregister_sockopt" },
	{ 0x22f4c867, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3c333c2e, "make_kuid" },
	{ 0xc8588a19, "nf_defrag_ipv6_disable" },
	{ 0x8d182171, "ipv6_skip_exthdr" },
	{ 0xbc9fcc16, "nf_register_net_hooks" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x69d87b21, "module_put" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x800473f, "__cond_resched" },
	{ 0xd33412eb, "nf_checksum" },
	{ 0xe6b59a20, "init_net" },
	{ 0xe55e06b5, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2c5c05eb, "sk_skb_reason_drop" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x2a6899ef, "kmem_cache_free" },
	{ 0x388bf323, "seq_putc" },
	{ 0xff182e8, "nla_put" },
	{ 0x17438e6e, "nf_checksum_partial" },
	{ 0x6fc17c4, "skb_ensure_writable" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc6ecfbdf, "nf_unregister_net_hooks" },
	{ 0x828f9e01, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xd9d267f5, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfcc6d131, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x653b9cfb, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa0d58a2, "nf_log_packet" },
	{ 0x41333932, "make_kgid" },
	{ 0x9f48135c, "nf_ip_checksum" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x95b033d6, "__kmem_cache_create_args" },
	{ 0xdfa1bfd, "register_btf_kfunc_id_set" },
	{ 0x2014a246, "__siphash_unaligned" },
	{ 0xebc10b0b, "nf_conn_btf_access_lock" },
	{ 0x103bafd6, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x254ad00e, "nla_policy_len" },
	{ 0x20ae795c, "__put_net" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0xa03a09e5, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x83e41745, "proc_set_user" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xae2b4430, "param_ops_bool" },
	{ 0x663acfd1, "inet_proto_csum_replace4" },
	{ 0x258c8901, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9678ad3f, "remove_proc_entry" },
	{ 0x9f17a6e9, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x94f6152c, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6a8a05b2, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0x74a6214c, "proc_dointvec" },
	{ 0x888bb6a5, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x2a466c58, "unregister_net_sysctl_table" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xe7e9d16b, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xce475e96, "pskb_trim_rcsum_slow" },
	{ 0x555ccb97, "up_read" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0x32832178, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4e717357, "kmem_cache_destroy" },
	{ 0x31bf6d98, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x97debbf6, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6");


MODULE_INFO(srcversion, "81128A9546E4BB233B73360");
MODULE_INFO(rhelversion, "10.1");
