#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0xe62c84f3, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0xef7c22ce, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0xa0c45915, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0xbe71e7c4, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x08024a11, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xad7abfda, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x8109c2e2, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf1e74304, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xeb25f5d3, "skb_copy_bits" },
	{ 0xfed9b096, "inet_unregister_protosw" },
	{ 0x3761d215, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xa668c37f, "sock_wfree" },
	{ 0xd4347709, "skb_put" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0xdb9948ea, "__fl6_sock_lookup" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xef5b4c52, "ip6_dst_hoplimit" },
	{ 0x7a6e13f3, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x585a83fe, "inet6_add_offload" },
	{ 0x491c5740, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xaf60073f, "inet6_bind" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x546b22a6, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xff42ea7d, "l3mdev_fib_table_by_index" },
	{ 0x5b15a870, "udp_sock_create4" },
	{ 0x79fb466a, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xc84e0392, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0xcb2351e6, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x26c298d9, "__skb_ext_del" },
	{ 0x9b20f2b0, "skb_segment" },
	{ 0xd5bb0d2f, "trace_event_printf" },
	{ 0x11f2747e, "__ip_dev_find" },
	{ 0x79f276fd, "udp_tunnel6_xmit_skb" },
	{ 0x9aa7594f, "sock_common_getsockopt" },
	{ 0xf591466b, "inet_bind" },
	{ 0xb639c0d8, "sock_create" },
	{ 0xd8bc9013, "net_hotdata" },
	{ 0xcbe4a092, "__kmalloc_node_track_caller_noprof" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x9d4019ff, "fd_install" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x3cf559c5, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0xcc0f4c5, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x116df576, "inet_register_protosw" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xd126e736, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xee882b81, "security_sctp_assoc_established" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0xf804851b, "bpf_trace_run2" },
	{ 0x83ce0685, "sock_common_setsockopt" },
	{ 0x53178a3, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x17daf097, "ip_route_output_flow" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0x4df86987, "__sk_mem_schedule" },
	{ 0x6bc17e6c, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x37fb6cb7, "sock_alloc_file" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xc78cf2a7, "proc_create_net_data" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xcc9b80c1, "sk_error_report" },
	{ 0x8dc4a472, "register_pernet_subsys" },
	{ 0x8014cf84, "put_cmsg" },
	{ 0x902e595e, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0xcddaac25, "register_net_sysctl_sz" },
	{ 0x7746ae4b, "inet_sock_destruct" },
	{ 0xf554a392, "crypto_destroy_tfm" },
	{ 0x83773ff1, "sock_kmalloc" },
	{ 0x18774848, "inet_sk_get_local_port_range" },
	{ 0xd2054919, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x4d427179, "inet_getname" },
	{ 0xbc41428, "proto_unregister" },
	{ 0x46e32770, "security_sctp_sk_clone" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0x3fe9430e, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xb85db641, "__alloc_skb" },
	{ 0xc94fdebf, "__genradix_ptr" },
	{ 0xba5ec578, "inet_release" },
	{ 0x2aa47a7, "proto_register" },
	{ 0x49b497b6, "skb_copy_expand" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x800473f, "__cond_resched" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xa57d5c7a, "inet_ctl_sock_create" },
	{ 0x42badb42, "inet_ioctl" },
	{ 0x590dd463, "reuseport_add_sock" },
	{ 0x8888e3e6, "reuseport_select_sock" },
	{ 0x956254ce, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad749dec, "sk_filter_trim_cap" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x9425abc4, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x8e3320ec, "fput" },
	{ 0x6eb460c, "__traceiter_sk_data_ready" },
	{ 0xc8a89249, "inet_accept" },
	{ 0xe6b59a20, "init_net" },
	{ 0x2991887f, "crypto_shash_setkey" },
	{ 0x5610618b, "skb_pull" },
	{ 0x57e54e98, "inet_add_offload" },
	{ 0x2c5c05eb, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x19b85f77, "inet_add_protocol" },
	{ 0xa9742d0b, "inet_shutdown" },
	{ 0xc11dda11, "sk_free" },
	{ 0xe5ddcb6f, "sock_wake_async" },
	{ 0x10a59533, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0x63a9bd14, "inet_del_offload" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x8856e04a, "skb_push" },
	{ 0x286031ef, "__ip_queue_xmit" },
	{ 0x2a6899ef, "kmem_cache_free" },
	{ 0xd8e90084, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x456b616, "proc_doulongvec_minmax" },
	{ 0xdc22e6c9, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0xb2b10f7e, "ns_capable" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x828f9e01, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xf6b66eca, "inet6_ioctl" },
	{ 0x619d9538, "skb_copy_datagram_iter" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x4e89ce10, "idr_alloc_cyclic" },
	{ 0x98ffad26, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xd9d267f5, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x63cc5fa1, "ip6_dst_lookup_flow" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0x9a8c7393, "sock_no_socketpair" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x62e4c72b, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x653b9cfb, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x766584ea, "sock_no_mmap" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x588ed3dd, "__pskb_pull_tail" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x95b033d6, "__kmem_cache_create_args" },
	{ 0xb7926ea7, "setup_udp_tunnel_sock" },
	{ 0x3d853c71, "udp_sock_create6" },
	{ 0x1c98e351, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x42258d1e, "sk_common_release" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x5d1c41ca, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xb460e08c, "inet6_getname" },
	{ 0xda17a531, "sock_i_ino" },
	{ 0x6b5cd63, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xeca9d162, "ip6_xmit" },
	{ 0x88c3272f, "security_sctp_assoc_request" },
	{ 0x28d91d4, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7c24e239, "rhltable_init_noprof" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x6a2cb656, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xe605b6f9, "trace_event_buffer_reserve" },
	{ 0xa03a09e5, "__skb_checksum" },
	{ 0xe8d39acc, "reuseport_alloc" },
	{ 0x8f3bc3e4, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xbc6e38d5, "inet6_release" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0xc2b80c2d, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xae2b4430, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x2c19d979, "ipv6_dup_options" },
	{ 0x258c8901, "seq_write" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9f17a6e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa663b77b, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x94f6152c, "seq_printf" },
	{ 0x54713fb2, "proc_create_net_single" },
	{ 0x411e62ba, "skb_copy" },
	{ 0xebc886f6, "skb_clone" },
	{ 0x453ff95, "inet_sk_set_state" },
	{ 0x1ca82837, "dst_release" },
	{ 0x5ced10d2, "_copy_from_iter" },
	{ 0xa4b7a8f4, "sock_release" },
	{ 0xceedde9a, "inet_recv_error" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x74a6214c, "proc_dointvec" },
	{ 0x3aa20f89, "sock_gettstamp" },
	{ 0x4c1f4a4f, "security_sctp_bind_connect" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0xab5fe574, "_proc_mkdir" },
	{ 0x50e00a91, "sk_setup_caps" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xfa066747, "send_sig" },
	{ 0x2a466c58, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xaf50e0fa, "inet6_add_protocol" },
	{ 0xf40f8ba1, "from_kuid_munged" },
	{ 0x2713b45d, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0x9e6f56f6, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x6241d77e, "ipv6_getsockopt" },
	{ 0x4b0fa72b, "reuseport_detach_sock" },
	{ 0x998a0ff0, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x9d6e6fc, "iov_iter_revert" },
	{ 0x66b968f6, "__s390_indirect_jump_r2" },
	{ 0xb8cfc2d9, "crypto_alloc_shash" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x67342fcd, "sock_init_data" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0x32832178, "kmalloc_caches" },
	{ 0x4e717357, "kmem_cache_destroy" },
	{ 0x31bf6d98, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x68cb22d1, "skb_queue_head" },
	{ 0x664846e8, "proc_dointvec_minmax" },
	{ 0x97debbf6, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "707D32408E639F82C26D811");
MODULE_INFO(rhelversion, "10.1");
