#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(rdma_user_mmap_disassociate, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_FUNC(uverbs_try_lock_object, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_create_ucap, "", "");
KSYMTAB_FUNC(ib_remove_ucap, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned_with_dma_device, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_revoke, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0x5264249d, "");
SYMBOL_CRC(rdma_user_mmap_disassociate, 0x5e16bc15, "");
SYMBOL_CRC(flow_resources_alloc, 0x2af4cd16, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0xa4bfebda, "");
SYMBOL_CRC(flow_resources_add, 0x4f254df8, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0x90a3b9c5, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0x01db9c42, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(uverbs_uobject_put, 0x29d4c67a, "");
SYMBOL_CRC(uverbs_try_lock_object, 0xc3b5df8c, "");
SYMBOL_CRC(uverbs_idr_class, 0xdbd23344, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0x79b05566, "");
SYMBOL_CRC(uverbs_fd_class, 0xf9018a2b, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0x5af0f267, "");
SYMBOL_CRC(_uverbs_alloc, 0xf4993658, "");
SYMBOL_CRC(uverbs_get_flags64, 0x129a9099, "");
SYMBOL_CRC(uverbs_get_flags32, 0xb7da1c3b, "");
SYMBOL_CRC(uverbs_copy_to, 0xe2d06f31, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0x27fd9776, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0x83d32a11, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0x7baf4929, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0x94b6befd, "");
SYMBOL_CRC(ib_create_ucap, 0xee11e132, "");
SYMBOL_CRC(ib_remove_ucap, 0x5006a537, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0x4cb4359c, "");
SYMBOL_CRC(ib_umem_get, 0xe63cdce9, "");
SYMBOL_CRC(ib_umem_release, 0x941d8b92, "");
SYMBOL_CRC(ib_umem_copy_from, 0x10abeaf9, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0x3ed410a7, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0x820e3f42, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0x4cf1a2d0, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned_with_dma_device, 0xa3f3808b, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0xf7abcf46, "");
SYMBOL_CRC(ib_umem_dmabuf_revoke, 0xbb9f75a9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x67ef9440, "pin_user_pages_fast" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x73b4cae5, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x92c1f07e, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa3a10db0, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x91c093c2, "ib_unregister_client" },
	{ 0xecb0a529, "show_class_attr_string" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x656c1d5a, "unpin_user_pages_dirty_lock" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xe526ed7a, "dev_set_name" },
	{ 0x88e68997, "ibdev_warn" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xaca0aef0, "complete" },
	{ 0xd3af979c, "memdup_user" },
	{ 0xce77b23a, "ib_create_qp_user" },
	{ 0xc91fa76f, "dma_resv_wait_timeout" },
	{ 0x4ddc6322, "cdev_device_del" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x62aab433, "kill_fasync" },
	{ 0xe8e17a55, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x808a9ac7, "fget" },
	{ 0x29074c66, "ib_query_srq" },
	{ 0x804ce375, "ww_mutex_unlock" },
	{ 0x21a7e955, "device_initialize" },
	{ 0x83da8691, "ib_rdmacg_try_charge" },
	{ 0x9d4019ff, "fd_install" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x875cc5cf, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x71984db4, "unpin_user_page_range_dirty_lock" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x70ae73d7, "iput" },
	{ 0xe93ce6c1, "dma_buf_unpin" },
	{ 0xa0fc3ae9, "zap_vma_ptes" },
	{ 0x2cb4a15c, "ib_dereg_mr_user" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xcf2ea86b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x8ee234ec, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe2e06409, "rdma_dev_access_netns" },
	{ 0xee3cc149, "get_device" },
	{ 0xdf12ca87, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0x272c0113, "dma_buf_dynamic_attach" },
	{ 0x51cad626, "class_create_file_ns" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x8cf525ff, "radix_tree_iter_delete" },
	{ 0x36dfc216, "ib_destroy_srq_user" },
	{ 0xfd2a578e, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x29789394, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0x763e8b41, "cdev_device_add" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x833e5926, "rdma_restrack_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x45403dd1, "put_device" },
	{ 0xf258142c, "radix_tree_lookup_slot" },
	{ 0xdf0ca29f, "ib_modify_qp_with_udata" },
	{ 0xc7b62e2c, "ib_register_event_handler" },
	{ 0xe7980e69, "ib_detach_mcast" },
	{ 0xb6294516, "dma_buf_map_attachment" },
	{ 0xf71012c6, "__free_pages" },
	{ 0xb451fbdf, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0x69d87b21, "module_put" },
	{ 0x879634ef, "ib_register_client" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xc7cf7c6, "zero_page_mask" },
	{ 0x800473f, "__cond_resched" },
	{ 0x2c2e9934, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x6d994e7e, "__task_pid_nr_ns" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x79fe7a0, "init_srcu_struct" },
	{ 0x8e3320ec, "fput" },
	{ 0x416099d1, "ib_set_client_data" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x5f22f7e, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0xfd8c9798, "simple_open" },
	{ 0x581ed9c7, "dma_buf_unmap_attachment" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x851f219, "radix_tree_next_chunk" },
	{ 0xb1cdea85, "__srcu_read_lock" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x917c9580, "rdma_put_gid_attr" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xdd07e4af, "dma_buf_get" },
	{ 0xbba06fad, "ib_query_port" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0xff182e8, "nla_put" },
	{ 0xd886ca1f, "ww_mutex_lock" },
	{ 0x2e03d3d5, "fasync_helper" },
	{ 0xfac19588, "__clear_user" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x64b69a43, "ib_qp_usecnt_inc" },
	{ 0xf52ee4f4, "dma_buf_put" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x197d1e47, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x610399cd, "cleanup_srcu_struct" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xdc70cd0d, "ib_destroy_qp_user" },
	{ 0x992de6f8, "rdma_nl_get_privileged_qkey" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x4b5091ec, "rdma_restrack_set_name" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xa5ade855, "rdma_create_user_ah" },
	{ 0xcc0a37fe, "rdma_destroy_ah_user" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xd90035aa, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x2e1dbb5, "ib_destroy_cq_user" },
	{ 0x103bafd6, "down_read" },
	{ 0x9c3020a9, "__mmdrop" },
	{ 0x5828453f, "rdma_restrack_del" },
	{ 0xaa7a1f77, "__xa_cmpxchg" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x849a16ef, "__mmap_lock_do_trace_start_locking" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x5b9e9abe, "ib_rdmacg_uncharge" },
	{ 0x7230beea, "fdget" },
	{ 0xbc2204df, "igrab" },
	{ 0xae042e32, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x2ca34fa8, "mmput" },
	{ 0x25b6e224, "dma_map_sgtable" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x385c7481, "__tracepoint_mmap_lock_start_locking" },
	{ 0x9f17a6e9, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc9ca1cb2, "__mmap_lock_do_trace_released" },
	{ 0x82689313, "ib_alloc_xrcd_user" },
	{ 0xe70e184a, "xa_store" },
	{ 0x626886bd, "__srcu_read_unlock" },
	{ 0xff73a08a, "rdma_set_cq_moderation" },
	{ 0xa0f2cc6c, "alloc_pages_noprof" },
	{ 0xcea4cddc, "ib_dealloc_xrcd_user" },
	{ 0x4f7d962a, "dma_buf_detach" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x4de06ad7, "stream_open" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xcd39cd48, "ib_open_qp" },
	{ 0xb02f42ac, "ib_dealloc_pd_user" },
	{ 0x9148815, "rdma_get_gid_attr" },
	{ 0x904b0026, "dma_unmap_sg_attrs" },
	{ 0x8c2715fa, "rdma_port_get_link_layer" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x6f49370a, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x2558c803, "rdma_query_gid_table" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xa47b02b6, "rdma_restrack_put" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x78991f2c, "ib_attach_mcast" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xa0cc8897, "rdma_umap_priv_init" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0x8a419008, "ib_destroy_wq_user" },
	{ 0x8ff16db3, "class_register" },
	{ 0xf4afab7, "cdev_init" },
	{ 0x32832178, "kmalloc_caches" },
	{ 0xb4613a7d, "sg_pcopy_to_buffer" },
	{ 0x5e90b7e1, "rdma_user_mmap_entry_put" },
	{ 0x97debbf6, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "9FCD538107B04678BF4B745");
MODULE_INFO(rhelversion, "10.1");
